EVENT_PROTO_EVENT_FUNC(3)

PROTO_FUNC
event_PROTO_event_func - Generic event callback.

SYNOPSIS
#include <karma_event.h>

flag event_PROTO_event_func

(KEvent event, Connection connection,void **f_info)

DESCRIPTION
Generic event callback.

event
    The event data. This becomes invalid when the callback returns.

connection
    The connection over which the event came.

f_info
    The arbitrary function information pointer.

RETURN VALUE
TRUE if the event was consumed, else FALSE indicating that the event is still to be processed.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/